%define major 2
%define pkcs11_major 0
%define libname %mklibname p11_ %major
%define pkcs11_libname %mklibname pkcs11_ %pkcs11_major
%define develname %mklibname p11 -d

Summary:	Small library on top of PKCS#11
Name:		libp11
Version:	0.4.0
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
URL:		https://github.com/OpenSC/libp11
Source:		https://github.com/OpenSC/%{name}/releases/download/%{name}-%{version}/%{name}-%{version}.tar.gz

Buildrequires:	doxygen
Buildrequires:	pkgconfig(openssl)
Buildrequires:	libltdl-devel

%description
Libp11 is a library implementing a small layer on top of PKCS#11 API to make
using PKCS#11 implementations easier.


%package -n %libname
Summary:	Library files for libp11
Group:		System/Libraries
Obsoletes:	libp11_%{major} < %version

%description -n %libname
This package contains library files for libp11.


%package -n %pkcs11_libname
Summary:	Library files for libp11
Group:		System/Libraries

%description -n %pkcs11_libname
This package contains library files for libp11.


%package -n %develname
Summary:	Development files for libp11
Group:		Development/C
Requires:	%{libname} = %{version}
Requires:	%{pkcs11_libname} = %{version}
Provides:	%{name}-devel = %{version}-%release

%description -n %develname
This package contains files needed for development with libp11.


%prep
%autosetup


%build
%configure2_5x --disable-static --enable-api-doc
%make


%install
%makeinstall_std

# Use %{buildroot}%{_docdir}/%develname to install documentation in a standard location
mkdir %{buildroot}%{_docdir}/%develname
mv %{buildroot}%{_datadir}/doc/%{name}/api %{buildroot}%{_docdir}/%{develname}/
rm -rf %{buildroot}%{_datadir}/doc/%{name}/

# Remove libtool .la files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la


%files -n %libname
%doc NEWS
%{_libdir}/*.so.%{major}{,.*}

%files -n %pkcs11_libname
%{_libdir}/*.so.%{pkcs11_major}{,.*}

%files -n %develname
%doc examples
%{_docdir}/%{develname}/api/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/libp11.pc
%{_includedir}/*




%changelog
* Tue May 03 2016 sander85 <sander85> 0.4.0-1.mga6
+ Revision: 1008949
- New version: 0.4.0

* Fri Feb 12 2016 sander85 <sander85> 0.3.1-1.mga6
+ Revision: 958701
- New version: 0.3.1

* Thu Feb 11 2016 umeabot <umeabot> 0.3.0-2.mga6
+ Revision: 955613
- Mageia 6 Mass Rebuild

* Tue Oct 13 2015 sander85 <sander85> 0.3.0-1.mga6
+ Revision: 890496
- New version: 0.3.0

* Wed Oct 15 2014 umeabot <umeabot> 0.2.8-5.mga5
+ Revision: 739852
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.8-4.mga5
+ Revision: 681698
- Mageia 5 Mass Rebuild

  + sander85 <sander85>
    - Convert to %%autosetup

* Fri Oct 18 2013 umeabot <umeabot> 0.2.8-3.mga4
+ Revision: 507308
- Mageia 4 Mass Rebuild

  + sander85 <sander85>
    - Update url

* Sat Jan 12 2013 umeabot <umeabot> 0.2.8-2.mga3
+ Revision: 357942
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 23 2011 sander85 <sander85> 0.2.8-1.mga2
+ Revision: 128034
- new version: 0.2.8

* Sat Apr 30 2011 sander85 <sander85> 0.2.7-3.mga1
+ Revision: 93647
- bump release

* Sat Apr 23 2011 sander85 <sander85> 0.2.7-1.mga1
+ Revision: 89906
- clean spec
- imported package libp11

